<xsl:template match="/">

  <body>
   <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
   Scan target :
   <b><xsl:value-of select="hosts/@scan_target"/></b> [

   <b><xsl:value-of select="count(hosts/host)"/></b>
   computers found ]
   </font>
   <hr/>

   <font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="Black">
   <b>Missing patches report</b><br/></font>
   <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="Black">
   This report includes : <br/>
   <ul>
    <li>missing service packs</li>
    <li>missing patches</li>
   </ul>
   </font>
   <br/>

   <xsl:if test="$show_table=1">

    <!--table begin-->
    <table border="0">
      <tr>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">IP Address</font></th>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">Hostname</font></th>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">Username</font></th>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">Operating System</font></th>
      </tr>

      <!--each host-->
      <xsl:for-each select="hosts/host">
      <xsl:sort data-type="text" select="os"/>

      <xsl:if test="1">
      <xsl:if test="count(alerts/missing_hotfixes/product/*) > 0">

      <tr>
        <td bgColor="#f0f0f0"><a href="#{ip}"><xsl:value-of select="ip"/></a></td>

        <td bgColor="#f0f0f0"><xsl:value-of select="hostname"/></td>
        <td bgColor="#f0f0f0"><xsl:value-of select="username"/></td>
        <td bgColor="#f0f0f0">

         <xsl:if test="$show_images=1">
          <img src="{os_image_path}"/>
          <xsl:text disable-output-escaping="yes"> &amp;nbsp;</xsl:text>
         </xsl:if>

        <xsl:value-of select="os"/>

        </td>
      </tr>
      </xsl:if>
      </xsl:if>

      <!--end each host-->
      </xsl:for-each>

    </table>
    <!--table end-->
   </xsl:if>

      <!--start details-->
      <xsl:if test="$show_details=1">
      <br/>
      <xsl:for-each select="hosts/host">
      <xsl:sort data-type="text" select="os"/>

      <!--conditia 1=true, 0=false -->
      <xsl:if test="1">
      <xsl:if test="count(alerts/missing_hotfixes/product/*) > 0">

        <A name="{ip}"/>

        <table border="1" cellspacing="0" cellpadding="0"
        style="border-collapse:collapse; mso-border-alt:solid windowtext .9pt;mso-padding-alt:0in 1.4pt 0in 1.4pt">
        <tr><td width="738" valign="top"
        style="width:7.10in;border:none windowtext .9pt;background:#3366cc;padding:0in 5.4pt 0in 4.4pt">

        <font color="white">

           <b><xsl:value-of select="ip"/>
           [ <xsl:value-of select="hostname"/> ]

           <font color="yellow">
           <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
           <xsl:value-of select="os"/>

        <!-- display service pack (if available) -->
        <xsl:choose>
         <xsl:when test = "servpack > 0">
          <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
          Service Pack <xsl:value-of select="servpack"/>
         </xsl:when>
         <xsl:otherwise>
         </xsl:otherwise>
        </xsl:choose>

        </font>
        </b>

        </font>

        </td></tr>

        <td>

        <!--start details-->

        <!--alerts titlu-->
        <xsl:if test="$show_alerts = 1">
        <xsl:if test="count(alerts/*) > 0">
        <A name="{ip}alerts"/>
        <br/>
        <xsl:for-each select="alerts">

        <!--Missing hotfixes-->
        <xsl:for-each select="missing_hotfixes/product">
        <xsl:if test="position()=1">

        <xsl:text disable-output-escaping="yes"> &amp;nbsp;</xsl:text>
        <xsl:text disable-output-escaping="yes"> &amp;nbsp;</xsl:text>

          <xsl:if test="$show_images=1">
           <img src="images/missing_hotfix.bmp"/>
           <xsl:text disable-output-escaping="yes"> &amp;nbsp;</xsl:text>
          </xsl:if>

         <font color="navy"><b>Missing patches</b><br/></font>
        </xsl:if>

         <table border="0" cellspacing="0" cellpadding="0"
         style="border-collapse:collapse; mso-border-alt:solid windowtext .9pt;mso-padding-alt:3in 1.4pt 0in 1.4pt">
         <tr><td width="20"></td>

         <td width="200" valign="top"
         style="width: 6.70in ;border:none windowtext .9pt;background:#6f6f6f;padding:0in 5.4pt 0in 4.4pt">

         <font color = "white">
         <b>
         <xsl:value-of select="@name"/><br/>
         </b>
         </font>
         </td>
         </tr>


         <tr><td></td>
         <td width="738" valign="top"
         style="width: 6.70in;border:none windowtext .9pt;background:#f5f5f5; padding:0in 5.4pt 0in 4.4pt">

         <!--latestSPavailable-->
         <xsl:if test="@latestSPavailable != ''">
          <b>The latest service pack for this product is not installed !</b><br/>
          Latest SP available : <b><xsl:value-of select="@latestSPavailable"/></b><br/>
          <a href="{@latestSPurl}"><xsl:value-of select="@latestSPurl"/></a><br/><br/>
         </xsl:if>
         <!--latestSPavailable-->

         <!--hotfix-->
         <xsl:for-each select="hotfix">
          <b><xsl:value-of select="name"/></b> - <xsl:value-of select="qname"/><br/>
          <font color="navy"><xsl:value-of select="desc"/><br/></font>
          <a href="{url}"><xsl:value-of select="url"/></a><br/><br/>
         </xsl:for-each>
         <!--hotfix-->

         </td>
         </tr>
         </table>

         <br/>
        </xsl:for-each>
        <!--end missing hotfixes-->

        </xsl:for-each>
        </xsl:if>
        </xsl:if>


        <!--end computer details-->
        </td>
        </table>

      <br/>
      </xsl:if>
      </xsl:if>

      <!--end each details-->
      </xsl:for-each>
      </xsl:if>

   <xsl:element name="HR"/>
   <font face="Verdana, Arial, Helvetica, sans-serif" size="2"><xsl:value-of select="hosts/@created_on"/></font><br/>
  </body>
</xsl:template>
</xsl:stylesheet>

