<xsl:template match="/">
  <body>
   <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
   Scan target :
   <b><xsl:value-of select="hosts/@scan_target"/></b> [

   <b><xsl:value-of select="count(hosts/host)"/></b>
   computers found ]
   </font>
   <hr/>

   <font face="Verdana, Arial, Helvetica, sans-serif" size="3" color="Black">
   <b>Open ports report</b></font><br/>
   <font face="Verdana, Arial, Helvetica, sans-serif" size="2" color="Black">
   This report includes : <br/>
   <ul>
    <li>all open ports (TCP and UDP)</li>
   </ul>
   </font>
   <br/>

    <!--table begin-->
    <table border="0">
      <tr>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">IP address</font></th>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">Hostname</font></th>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">Operating system</font></th>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">Open TCP ports</font></th>
        <th align="middle" bgColor="#3366cc"><font color="#ffffff" size="2">Open UDP ports</font></th>
      </tr>

      <!--each host-->
      <xsl:for-each select="hosts/host">
      <xsl:sort data-type="text" select="os"/>

      <xsl:if test="1">

      <tr>
      
        <xsl:if test="position() mod 2 > 0">
        <td bgColor="#efefef">
         <font color="black">
         <xsl:value-of select="ip"/>
         </font>
        </td>
        </xsl:if>

        <xsl:if test="position() mod 2 = 0">
        <td bgColor="#dfdfdf">
         <font color="black">
         <xsl:value-of select="ip"/>
         </font>
        </td>
        </xsl:if>


        <xsl:if test="position() mod 2 > 0">
        <td bgColor="#efefef">
        <font color="black">
         <b>
         <xsl:value-of select="hostname"/>
         </b>
         </font>
         <br/>
        </td>
        </xsl:if>

        <xsl:if test="position() mod 2 = 0">
        <td bgColor="#dfdfdf">
        <font color="black">
         <b>
         <xsl:value-of select="hostname"/>
         </b>
         </font>
         <br/>
        </td>
        </xsl:if>

        <xsl:if test="position() mod 2 > 0">
        <td bgColor="#efefef">
         <font color="navy">
         <b>
         <xsl:value-of select="os"/>
         </b>
         </font>
         <br/>
        </td>
        </xsl:if>

        <xsl:if test="position() mod 2 = 0">
        <td bgColor="#dfdfdf">
         <font color="navy">
         <b>
         <xsl:value-of select="os"/>
         </b>
         </font>
         <br/>
        </td>
        </xsl:if>

        <xsl:if test="position() mod 2 > 0">
        <td bgColor="#efefef">
         <xsl:for-each select="ports/port">
          <b><xsl:value-of select="@name"/></b> - <xsl:value-of select="@desc"/><br/>
         </xsl:for-each>
        </td>
        </xsl:if>

        <xsl:if test="position() mod 2 = 0">
        <td bgColor="#dfdfdf">
         <xsl:for-each select="ports/port">
          <b><xsl:value-of select="@name"/></b> - <xsl:value-of select="@desc"/><br/>
         </xsl:for-each>
        </td>
        </xsl:if>

        <xsl:if test="position() mod 2 > 0">
        <td bgColor="#efefef">
         <xsl:for-each select="udp_ports/port">
          <b><xsl:value-of select="@name"/></b> - <xsl:value-of select="@desc"/><br/>
         </xsl:for-each>
        </td>

        </xsl:if>
        <xsl:if test="position() mod 2 = 0">
        <td bgColor="#dfdfdf">
         <xsl:for-each select="udp_ports/port">
          <b><xsl:value-of select="@name"/></b> - <xsl:value-of select="@desc"/><br/>
         </xsl:for-each>
        </td>

        </xsl:if>

      </tr>

      <!--end each host-->
      </xsl:if>
      </xsl:for-each>

    </table>
    <!--table end-->


   <xsl:element name="HR"/>
   <font face="Verdana, Arial, Helvetica, sans-serif" size="2"><xsl:value-of select="hosts/@created_on"/></font><br/>
  </body>
</xsl:template>
</xsl:stylesheet>

